import Dictionary from '@/config/constant/dict'

export default {
  data () {
    return {
      Dict: Dictionary
    }  
  },
  watch: {
    deep: true,
    model () {
      console.log('changeAfterModel: ', this.model)
    }
  },
  created () {
    this.init()
  },
  mounted () {
  },
  methods: {
    init () {
      this.initModel()
    },
    // 初始化绑定data
    initModel () {
      console.log('new vue mixin mode: ', this._data._this)
      const newVue = this._data._this
      if (!newVue.data) return
      const model = newVue.data.pageData
      
      if (!model || Object.keys(model).length < 1) return
      if (model instanceof Array) {
        this.model = []
        this.model = this.model.concat(model)
      } else {
        if (!this.model) this.model = {}
        for (const key in model) {
          this.$set(this.model, key + '', model[key])
        }
      }
    },
    // 值变动后的回调
    input (value, name) {
      this.$set(this.model, name + '', value)
    },
    handleActionSheet (scope) {
      this.parentVm.newVueEmit('handleActionSheet', scope)
    }
  }
}