import tkInput from './tk-input'
import tkCheckbox from './tk-checkbox'
import tkRadio from './tk-radio'
import tkSelect from './tk-select'
import tkTable from './tk-table'
import tkUpload from './tk-upload'
import tkButton from './tk-button'
import tkForm from './tk-form'
import tkLayout from './tk-layout'
import tkPagination from './tk-pagination'
import tkBreadcrumb from './tk-breadcrumb'
import tkDropdown from './tk-dropdown'
import tkProgress from './tk-progress'
import tkLabel from './tk-label'

const tkLabels = Object.assign({},
  // el-checkBox 相关合集
  tkCheckbox,
  // el-input 相关合集
  tkInput,
  // el-radio 相关合集
  tkRadio,
  // el-select 相关合集
  tkSelect,
  // el-table 相关合集
  tkTable,
  // el-upload 相关合集
  tkUpload,
  // el-button 相关合集
  tkButton,
  // el-form 相关合集
  tkForm,
  // el-layout 相关合集
  tkLayout,
  // el-pagination 相关合集
  tkPagination,
  // el-breadcrumb 相关合集
  tkBreadcrumb,
  // el-dropdown 相关合集
  tkDropdown,
  // el-progress 相关合集
  tkProgress,
  // 表单详情
  tkLabel
)

export default tkLabels
