const hooks = {
  state: {
    // register data in hooks
    data: {
    },
    // register methods in hooks
    methods: {
    },
    // register computed in hooks
    computed: {
    }
  },
  mutations: {
    SET_DATA (state, data) {
      state.data = data || {}
    },
    SET_METHODS (state, methods) {
      state.methods = methods || {}
    },
    SET_COMPUTED (state, computed) {
      state.computed = computed || {}
    }
  },
  actions: {
    setData ({ commit }, data) {
      commit('SET_DATA', data)
    },
    setMethods ({ commit }, methods) {
      commit('SET_METHODS', methods)
    },
    setComputed ({ commit }, computed) {
      commit('SET_COMPUTED', computed)
    }
  }
}

export default hooks
