'use strict'

import request from '@/utils/request'
const proxyUrl = '/toolkit-api/'
const templateApi = proxyUrl + 'Library/WebModuleContentPage' // 模板
const dataApi = proxyUrl + '' // 数据

export default {
  // 获取模板
  getTemplate (params) {
    return request({ url: templateApi, params: params, apiType: 'detail' })
  },
  // 获取数据
  getData (params) {
    return request( { url: dataApi, params: params } )
  }
}