'use strict'
/* eslint-disable */
export const TKRouter = function (option) {
  if (!(this instanceof TKRouter)) return new TKRouter(option)
  this.option = this.extend({
    routerType: 'script',
    pageType: 'other'
  }, option)

  if (!this.option.query.tempUrl) throw new Error('must param is undefind!')
  this.init()
}

TKRouter.prototype = {
  init () {
    window.vue.$router.push({ path: '/views/' + this.option.pageType, query: this.option.query })
  },
  extend (obj, obj2) {
    return Object.assign(obj, obj2)
  }
}

const TKRouterPlugin = {}
TKRouterPlugin.install = function (Vue, options) {
  Vue.prototype.$TKRouter = TKRouter
}
export default TKRouterPlugin
